
#include "xc.h"

#include "ADT7410_PIC.h"
#include "i2c1_PIC.h"
//#include "mcc_generated_files/i2c1.h"

void ADT7410_get_temp(uint8_t addr, float * f_data)
{  
  int data;
  uint8_t t_data[4];
  
  ADT7410_Read(addr, 0, t_data, 2);
  data = t_data[0]  << 8;  
  data |= t_data[1];  

  data >>= 3; 
  *f_data = data  / 16.0;      
}

//-----------------------------------------------------------------------
//  w̃f[^ǂݍ                       
//                                                                            
//    uint8_t addr      : I2CAhX             
//    uint8_t adrs_pt   : Ǐof[^̃WX^[AhX                  
//    uint8_t *data     : Ǐof[^̊i[                             
//    uint8_t len       : Ǐof[^̃oCg                             
//-----------------------------------------------------------------------
void ADT7410_Read(uint8_t addr, uint8_t adrs_pt, uint8_t *data, uint8_t len)
{
    int  ack;

    I2C_Start(addr,0);                  // X^[gRfBV
    I2C_Send(adrs_pt);                  // WX^AhXw
    I2C_Start(addr,1);                  // X^[gRfBV
    while(len --) 
    {
        ack = ACK;
        if (len == 0) ack = NOACK ;
        *data = I2C_Receive(ack);       // wǂݏo(M)
        data++ ;
    }
    I2C_Stop() ;                        // XgbvRfBV
}

//-----------------------------------------------------------------------
//  w肵f[^̏                         
//    uint8_t addr      : I2CAhX             
//    uint8_t adrs_pt   : ރf[^̃WX^[AhX                  
//    uint8_t *data     : ݗpobt@[|C^[                             
//    uint8_t len       : ރf[^̃oCg                             
//-----------------------------------------------------------------------
void ADT7410_Write(uint8_t addr, uint8_t adrs_pt, uint8_t *data, uint8_t len)
{
     int  a;

    I2C_Start(addr,0);                  // X^[gRfBV
    I2C_Send(adrs_pt) ;                 // WX^AhXw
    for (a = 0 ; a < len ; a ++) 
    {
        I2C_Send(*data) ;               // w(M)
        data++ ;
    }
    I2C_Stop() ;                        // XgbvRfBV
}
